summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAdrien Nader <adrien@notk.org>2015-08-03 12:44:30 +0200
committerAdrien Nader <adrien@notk.org>2015-08-03 12:44:30 +0200
commit0b9ef0bbeb47d2a82fd3b211a49b83035f83343f (patch)
tree340f0ed27a20e7e60e4e10b531d869c7d4c48d97
parent9510a7dc907984653962346833a70a0207d47dd4 (diff)
*.SlackBuild: --strip-unneeded is moved to inside ${HOST_STRIP}.adrien/next-review
-rw-r--r--audio/a52dec/a52dec.SlackBuild2
-rw-r--r--audio/opencore-amr/opencore-amr.SlackBuild2
-rw-r--r--audio/opus/opus.SlackBuild2
-rw-r--r--audio/speex/speex.SlackBuild2
-rw-r--r--development/SDL2/SDL2.SlackBuild2
-rw-r--r--development/check/check.SlackBuild2
-rwxr-xr-xdevelopment/lua/lua.SlackBuild2
-rw-r--r--development/ocaml/ocaml.SlackBuild2
-rw-r--r--development/orc/orc.SlackBuild2
-rw-r--r--libraries/bullet/bullet.SlackBuild2
-rw-r--r--libraries/c-ares/c-ares.SlackBuild2
-rw-r--r--libraries/efl/efl.SlackBuild2
-rw-r--r--libraries/elementary/elementary.SlackBuild2
-rw-r--r--libraries/gst1-plugins-base/gst1-plugins-base.SlackBuild2
-rw-r--r--libraries/gst1-plugins-good/gst1-plugins-good.SlackBuild2
-rw-r--r--libraries/gstreamer1/gstreamer1.SlackBuild2
-rw-r--r--libraries/jansson/jansson.SlackBuild2
-rw-r--r--libraries/lame/lame.SlackBuild2
-rw-r--r--libraries/libdvdcss/libdvdcss.SlackBuild2
-rw-r--r--libraries/libdvdnav/libdvdnav.SlackBuild2
-rw-r--r--libraries/libmpeg2/libmpeg2.SlackBuild2
-rw-r--r--libraries/ocaml-findlib/ocaml-findlib.SlackBuild2
-rw-r--r--libraries/openjpeg/openjpeg.SlackBuild2
-rw-r--r--multimedia/ffmpeg/ffmpeg.SlackBuild2
-rwxr-xr-xocaml/libocaml_exception/libocaml_exception.SlackBuild2
-rwxr-xr-xocaml/libocaml_http/libocaml_http.SlackBuild2
-rwxr-xr-xocaml/libocaml_ipv4_address/libocaml_ipv4_address.SlackBuild2
-rwxr-xr-xocaml/libocaml_ipv6_address/libocaml_ipv6_address.SlackBuild2
-rwxr-xr-xocaml/libocaml_lexing/libocaml_lexing.SlackBuild2
-rwxr-xr-xocaml/libocaml_option/libocaml_option.SlackBuild2
-rwxr-xr-xocaml/libocaml_plus/libocaml_plus.SlackBuild2
-rwxr-xr-xocaml/libocaml_uri/libocaml_uri.SlackBuild2
-rwxr-xr-xocaml/ocaml-archive/ocaml-archive.SlackBuild2
-rwxr-xr-xocaml/ocaml-cryptokit/ocaml-cryptokit.SlackBuild2
-rwxr-xr-xocaml/ocaml-efl/ocaml-efl.SlackBuild2
-rwxr-xr-xocaml/ocaml-fileutils/ocaml-fileutils.SlackBuild2
-rwxr-xr-xocaml/ocaml-findlib/ocaml-findlib.SlackBuild2
-rw-r--r--ocaml/ocaml/ocaml.SlackBuild2
-rwxr-xr-xocaml/yypkg/yypkg.SlackBuild2
39 files changed, 39 insertions, 39 deletions
diff --git a/audio/a52dec/a52dec.SlackBuild b/audio/a52dec/a52dec.SlackBuild
index 17c239197c..2400cdfb04 100644
--- a/audio/a52dec/a52dec.SlackBuild
+++ b/audio/a52dec/a52dec.SlackBuild
@@ -76,7 +76,7 @@ make install DESTDIR=$PKG
# Strip files
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null
+ | xargs ${HOST_STRIP} 2> /dev/null
( cd $PKG/${PREFIX}/man
find . -type f -exec gzip -9 {} \;
diff --git a/audio/opencore-amr/opencore-amr.SlackBuild b/audio/opencore-amr/opencore-amr.SlackBuild
index 925ff25d47..464d7a9e8b 100644
--- a/audio/opencore-amr/opencore-amr.SlackBuild
+++ b/audio/opencore-amr/opencore-amr.SlackBuild
@@ -65,7 +65,7 @@ make install DESTDIR=$PKG
# Strip binaries:
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null
+ | xargs ${HOST_STRIP} 2> /dev/null
mkdir -p $PKG/${PREFIX}/doc/$PRGNAM-$VERSION
diff --git a/audio/opus/opus.SlackBuild b/audio/opus/opus.SlackBuild
index a8e5670068..8e0af66336 100644
--- a/audio/opus/opus.SlackBuild
+++ b/audio/opus/opus.SlackBuild
@@ -67,7 +67,7 @@ make install DESTDIR=$PKG
# Strip files
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null
+ | xargs ${HOST_STRIP} 2> /dev/null
find $PKG/${PREFIX}/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/${PREFIX}/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
diff --git a/audio/speex/speex.SlackBuild b/audio/speex/speex.SlackBuild
index 405f15ff84..c873773d04 100644
--- a/audio/speex/speex.SlackBuild
+++ b/audio/speex/speex.SlackBuild
@@ -121,7 +121,7 @@ make install DESTDIR=$PKG
# Strip files
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null
+ | xargs ${HOST_STRIP} 2> /dev/null
( cd $PKG/${PREFIX}/man
find . -type f -exec gzip -9 {} \;
diff --git a/development/SDL2/SDL2.SlackBuild b/development/SDL2/SDL2.SlackBuild
index 4a1c36524a..66f61c8ae2 100644
--- a/development/SDL2/SDL2.SlackBuild
+++ b/development/SDL2/SDL2.SlackBuild
@@ -72,7 +72,7 @@ make install DESTDIR=$PKG
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null || true
+ | xargs ${HOST_STRIP} 2> /dev/null || true
mkdir -p $PKG/${PREFIX}/doc/$PRGNAM-$VERSION
cp -a *.txt $PKG/${PREFIX}/doc/$PRGNAM-$VERSION
diff --git a/development/check/check.SlackBuild b/development/check/check.SlackBuild
index a185a642b1..b22ed47dde 100644
--- a/development/check/check.SlackBuild
+++ b/development/check/check.SlackBuild
@@ -67,7 +67,7 @@ make install docdir=/${PREFIX}/doc/$PRGNAM-$VERSION DESTDIR=$PKG
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null || true
+ | xargs ${HOST_STRIP} 2> /dev/null || true
# No man page is provided
diff --git a/development/lua/lua.SlackBuild b/development/lua/lua.SlackBuild
index 8262775426..bc6a499ed2 100755
--- a/development/lua/lua.SlackBuild
+++ b/development/lua/lua.SlackBuild
@@ -93,7 +93,7 @@ unset PC_DIR
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null || true
+ | xargs ${HOST_STRIP} 2> /dev/null || true
mkdir -p ${PKG}/${PREFIX}/man/man1
cp doc/lua.1 ${PKG}/${PREFIX}/man/man1
diff --git a/development/ocaml/ocaml.SlackBuild b/development/ocaml/ocaml.SlackBuild
index 000e906139..b937b9a5c0 100644
--- a/development/ocaml/ocaml.SlackBuild
+++ b/development/ocaml/ocaml.SlackBuild
@@ -82,7 +82,7 @@ make install \
find $PKG | xargs file | egrep "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null || true
+ | xargs ${HOST_STRIP} 2> /dev/null || true
find $PKG/${PREFIX}/man -type f -exec gzip -9 {} \;
diff --git a/development/orc/orc.SlackBuild b/development/orc/orc.SlackBuild
index 5d4bace07c..86a04b2044 100644
--- a/development/orc/orc.SlackBuild
+++ b/development/orc/orc.SlackBuild
@@ -47,7 +47,7 @@ make install DESTDIR=$PKG
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null
+ | xargs ${HOST_STRIP} 2> /dev/null
mkdir -p $PKG/${PREFIX}/doc/$PRGNAM-$VERSION
cp -a COPYING README TODO $PKG/${PREFIX}/doc/$PRGNAM-$VERSION
diff --git a/libraries/bullet/bullet.SlackBuild b/libraries/bullet/bullet.SlackBuild
index d1bd906100..83661d53fe 100644
--- a/libraries/bullet/bullet.SlackBuild
+++ b/libraries/bullet/bullet.SlackBuild
@@ -77,7 +77,7 @@ cd ..
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null || true
+ | xargs ${HOST_STRIP} 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS.txt LICENSE.txt README.md VERSION docs/*.pdf $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/libraries/c-ares/c-ares.SlackBuild b/libraries/c-ares/c-ares.SlackBuild
index 76110eb291..e588f39ef0 100644
--- a/libraries/c-ares/c-ares.SlackBuild
+++ b/libraries/c-ares/c-ares.SlackBuild
@@ -62,7 +62,7 @@ make install DESTDIR=$PKG
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null || true
+ | xargs ${HOST_STRIP} 2> /dev/null || true
find $PKG/${PREFIX}/man -type f -exec gzip -9 {} \;
diff --git a/libraries/efl/efl.SlackBuild b/libraries/efl/efl.SlackBuild
index 30eb36660f..74e59c1c79 100644
--- a/libraries/efl/efl.SlackBuild
+++ b/libraries/efl/efl.SlackBuild
@@ -106,7 +106,7 @@ make -j1 install DESTDIR=$PKG
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null || true
+ | xargs ${HOST_STRIP} 2> /dev/null || true
mkdir -p $PKG/${PREFIX}/doc/$PRGNAM-$VERSION
cp -a \
diff --git a/libraries/elementary/elementary.SlackBuild b/libraries/elementary/elementary.SlackBuild
index bcde474dc6..73ad4e491e 100644
--- a/libraries/elementary/elementary.SlackBuild
+++ b/libraries/elementary/elementary.SlackBuild
@@ -79,7 +79,7 @@ make install DESTDIR=$PKG
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null || true
+ | xargs ${HOST_STRIP} 2> /dev/null || true
mkdir -p $PKG/${PREFIX}/doc/$PRGNAM-$VERSION
cp -a \
diff --git a/libraries/gst1-plugins-base/gst1-plugins-base.SlackBuild b/libraries/gst1-plugins-base/gst1-plugins-base.SlackBuild
index 31f56322e2..6aea2e99db 100644
--- a/libraries/gst1-plugins-base/gst1-plugins-base.SlackBuild
+++ b/libraries/gst1-plugins-base/gst1-plugins-base.SlackBuild
@@ -66,7 +66,7 @@ make install DESTDIR=$PKG
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null || true
+ | xargs ${HOST_STRIP} 2> /dev/null || true
find $PKG/${PREFIX}/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/${PREFIX}/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
diff --git a/libraries/gst1-plugins-good/gst1-plugins-good.SlackBuild b/libraries/gst1-plugins-good/gst1-plugins-good.SlackBuild
index 366142b9b7..8be3998907 100644
--- a/libraries/gst1-plugins-good/gst1-plugins-good.SlackBuild
+++ b/libraries/gst1-plugins-good/gst1-plugins-good.SlackBuild
@@ -67,7 +67,7 @@ make install DESTDIR=$PKG
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null || true
+ | xargs ${HOST_STRIP} 2> /dev/null || true
mkdir -p $PKG/${PREFIX}/doc/$PRGNAM-$VERSION
cp -a \
diff --git a/libraries/gstreamer1/gstreamer1.SlackBuild b/libraries/gstreamer1/gstreamer1.SlackBuild
index e546fe961c..bfe6c84bca 100644
--- a/libraries/gstreamer1/gstreamer1.SlackBuild
+++ b/libraries/gstreamer1/gstreamer1.SlackBuild
@@ -66,7 +66,7 @@ make install DESTDIR=$PKG
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null
+ | xargs ${HOST_STRIP} 2> /dev/null
mkdir -p $PKG/${PREFIX}/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING INSTALL MAINTAINERS NEWS README RELEASE TODO \
diff --git a/libraries/jansson/jansson.SlackBuild b/libraries/jansson/jansson.SlackBuild
index ebb968bd6e..0a07ba2182 100644
--- a/libraries/jansson/jansson.SlackBuild
+++ b/libraries/jansson/jansson.SlackBuild
@@ -66,7 +66,7 @@ make install DESTDIR=$PKG
# Strip files
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null
+ | xargs ${HOST_STRIP} 2> /dev/null
mkdir -p $PKG/${PREFIX}/doc/$PRGNAM-$VERSION
cp -a CHANGES LICENSE README.rst $PKG/${PREFIX}/doc/$PRGNAM-$VERSION
diff --git a/libraries/lame/lame.SlackBuild b/libraries/lame/lame.SlackBuild
index 84117f1cea..42d5635519 100644
--- a/libraries/lame/lame.SlackBuild
+++ b/libraries/lame/lame.SlackBuild
@@ -69,7 +69,7 @@ make install pkgdocdir=/${PREFIX}/doc/$PRGNAM-$VERSION DESTDIR=$PKG
# Strip binaries:
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null
+ | xargs ${HOST_STRIP} 2> /dev/null
find $PKG/${PREFIX}/man -type f -exec gzip -9 {} \;
diff --git a/libraries/libdvdcss/libdvdcss.SlackBuild b/libraries/libdvdcss/libdvdcss.SlackBuild
index 3451f483be..8ae38f4c40 100644
--- a/libraries/libdvdcss/libdvdcss.SlackBuild
+++ b/libraries/libdvdcss/libdvdcss.SlackBuild
@@ -66,7 +66,7 @@ make install DESTDIR=$PKG
find $PKG | xargs file | egrep "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null
+ | xargs ${HOST_STRIP} 2> /dev/null
mkdir -p $PKG/${PREFIX}/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING INSTALL NEWS README ChangeLog \
diff --git a/libraries/libdvdnav/libdvdnav.SlackBuild b/libraries/libdvdnav/libdvdnav.SlackBuild
index f73127bbb8..53c3254012 100644
--- a/libraries/libdvdnav/libdvdnav.SlackBuild
+++ b/libraries/libdvdnav/libdvdnav.SlackBuild
@@ -70,7 +70,7 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/${PREFIX}/doc/$PRGNAM-$VERSION/$PRGNAM.SlackB
find $PKG | xargs file | egrep "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null
+ | xargs ${HOST_STRIP} 2> /dev/null
cat ${CWD}/$PRGNAM.yypkg.script | sed \
-e "s/%{PKG}/$PRGNAM/" \
diff --git a/libraries/libmpeg2/libmpeg2.SlackBuild b/libraries/libmpeg2/libmpeg2.SlackBuild
index 523c465a85..01c30df4c2 100644
--- a/libraries/libmpeg2/libmpeg2.SlackBuild
+++ b/libraries/libmpeg2/libmpeg2.SlackBuild
@@ -75,7 +75,7 @@ make install DESTDIR=$PKG
# Strip files
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null
+ | xargs ${HOST_STRIP} 2> /dev/null
find $PKG/${PREFIX}/man -type f -exec gzip -9 {} \;
diff --git a/libraries/ocaml-findlib/ocaml-findlib.SlackBuild b/libraries/ocaml-findlib/ocaml-findlib.SlackBuild
index 7dabc427a1..a12239358e 100644
--- a/libraries/ocaml-findlib/ocaml-findlib.SlackBuild
+++ b/libraries/ocaml-findlib/ocaml-findlib.SlackBuild
@@ -85,7 +85,7 @@ mkdir -p $PKG/${PREFIX}/lib$LIBDIRSUFFIX/ocaml/site-lib/stublibs
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null \
+ | xargs ${HOST_STRIP} 2> /dev/null \
|| true
find $PKG/${PREFIX}/man -type f -exec gzip -9 {} \;
diff --git a/libraries/openjpeg/openjpeg.SlackBuild b/libraries/openjpeg/openjpeg.SlackBuild
index ab0714aa8e..46426a04a1 100644
--- a/libraries/openjpeg/openjpeg.SlackBuild
+++ b/libraries/openjpeg/openjpeg.SlackBuild
@@ -81,7 +81,7 @@ mv $PKG/${PREFIX}/lib${LIBDIRSUFFIX}/*.dll $PKG/${PREFIX}/bin
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null || true
+ | xargs ${HOST_STRIP} 2> /dev/null || true
mkdir -p $PKG/${PREFIX}/doc/$PRGNAM-$VERSION
cp -a INSTALL README $PKG/${PREFIX}/doc/$PRGNAM-$VERSION
diff --git a/multimedia/ffmpeg/ffmpeg.SlackBuild b/multimedia/ffmpeg/ffmpeg.SlackBuild
index fc6614b879..326db7852a 100644
--- a/multimedia/ffmpeg/ffmpeg.SlackBuild
+++ b/multimedia/ffmpeg/ffmpeg.SlackBuild
@@ -188,7 +188,7 @@ mv $PKG/${PREFIX}/lib${LIBDIRSUFFIX}/*.dll $PKG/${PREFIX}/bin
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null || true
+ | xargs ${HOST_STRIP} 2> /dev/null || true
mkdir -p $PKG/${PREFIX}/doc/$PRGNAM-$VERSION/txt
cp -a Changelog COPYING* CREDITS INSTALL* LICENSE* MAINTAINERS README* RELEASE \
diff --git a/ocaml/libocaml_exception/libocaml_exception.SlackBuild b/ocaml/libocaml_exception/libocaml_exception.SlackBuild
index 833bdc1d2a..e80389d524 100755
--- a/ocaml/libocaml_exception/libocaml_exception.SlackBuild
+++ b/ocaml/libocaml_exception/libocaml_exception.SlackBuild
@@ -55,7 +55,7 @@ if [ -z "${SLACKBUILDS_DONT_STRIP}" ]; then
-exec file {} + \
| grep -E "${HOST_EXE_FORMAT}.*(executable|shared object)" \
| cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null \
+ | xargs ${HOST_STRIP} 2> /dev/null \
|| true
fi
diff --git a/ocaml/libocaml_http/libocaml_http.SlackBuild b/ocaml/libocaml_http/libocaml_http.SlackBuild
index 4202efe4a9..b4fb2ce509 100755
--- a/ocaml/libocaml_http/libocaml_http.SlackBuild
+++ b/ocaml/libocaml_http/libocaml_http.SlackBuild
@@ -55,7 +55,7 @@ if [ -z "${SLACKBUILDS_DONT_STRIP}" ]; then
-exec file {} + \
| grep -E "${HOST_EXE_FORMAT}.*(executable|shared object)" \
| cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null \
+ | xargs ${HOST_STRIP} 2> /dev/null \
|| true
fi
diff --git a/ocaml/libocaml_ipv4_address/libocaml_ipv4_address.SlackBuild b/ocaml/libocaml_ipv4_address/libocaml_ipv4_address.SlackBuild
index c72681ab12..2998a39ae6 100755
--- a/ocaml/libocaml_ipv4_address/libocaml_ipv4_address.SlackBuild
+++ b/ocaml/libocaml_ipv4_address/libocaml_ipv4_address.SlackBuild
@@ -55,7 +55,7 @@ if [ -z "${SLACKBUILDS_DONT_STRIP}" ]; then
-exec file {} + \
| grep -E "${HOST_EXE_FORMAT}.*(executable|shared object)" \
| cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null \
+ | xargs ${HOST_STRIP} 2> /dev/null \
|| true
fi
diff --git a/ocaml/libocaml_ipv6_address/libocaml_ipv6_address.SlackBuild b/ocaml/libocaml_ipv6_address/libocaml_ipv6_address.SlackBuild
index 0ffe7b36f5..04d9a1d950 100755
--- a/ocaml/libocaml_ipv6_address/libocaml_ipv6_address.SlackBuild
+++ b/ocaml/libocaml_ipv6_address/libocaml_ipv6_address.SlackBuild
@@ -55,7 +55,7 @@ if [ -z "${SLACKBUILDS_DONT_STRIP}" ]; then
-exec file {} + \
| grep -E "${HOST_EXE_FORMAT}.*(executable|shared object)" \
| cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null \
+ | xargs ${HOST_STRIP} 2> /dev/null \
|| true
fi
diff --git a/ocaml/libocaml_lexing/libocaml_lexing.SlackBuild b/ocaml/libocaml_lexing/libocaml_lexing.SlackBuild
index a0980433c2..afee2a4604 100755
--- a/ocaml/libocaml_lexing/libocaml_lexing.SlackBuild
+++ b/ocaml/libocaml_lexing/libocaml_lexing.SlackBuild
@@ -55,7 +55,7 @@ if [ -z "${SLACKBUILDS_DONT_STRIP}" ]; then
-exec file {} + \
| grep -E "${HOST_EXE_FORMAT}.*(executable|shared object)" \
| cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null \
+ | xargs ${HOST_STRIP} 2> /dev/null \
|| true
fi
diff --git a/ocaml/libocaml_option/libocaml_option.SlackBuild b/ocaml/libocaml_option/libocaml_option.SlackBuild
index c05da4196e..c8a5669e1b 100755
--- a/ocaml/libocaml_option/libocaml_option.SlackBuild
+++ b/ocaml/libocaml_option/libocaml_option.SlackBuild
@@ -55,7 +55,7 @@ if [ -z "${SLACKBUILDS_DONT_STRIP}" ]; then
-exec file {} + \
| grep -E "${HOST_EXE_FORMAT}.*(executable|shared object)" \
| cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null \
+ | xargs ${HOST_STRIP} 2> /dev/null \
|| true
fi
diff --git a/ocaml/libocaml_plus/libocaml_plus.SlackBuild b/ocaml/libocaml_plus/libocaml_plus.SlackBuild
index ceaac15f21..ce00200af4 100755
--- a/ocaml/libocaml_plus/libocaml_plus.SlackBuild
+++ b/ocaml/libocaml_plus/libocaml_plus.SlackBuild
@@ -55,7 +55,7 @@ if [ -z "${SLACKBUILDS_DONT_STRIP}" ]; then
-exec file {} + \
| grep -E "${HOST_EXE_FORMAT}.*(executable|shared object)" \
| cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null \
+ | xargs ${HOST_STRIP} 2> /dev/null \
|| true
fi
diff --git a/ocaml/libocaml_uri/libocaml_uri.SlackBuild b/ocaml/libocaml_uri/libocaml_uri.SlackBuild
index 1f4dffda06..4f93bf6744 100755
--- a/ocaml/libocaml_uri/libocaml_uri.SlackBuild
+++ b/ocaml/libocaml_uri/libocaml_uri.SlackBuild
@@ -55,7 +55,7 @@ if [ -z "${SLACKBUILDS_DONT_STRIP}" ]; then
-exec file {} + \
| grep -E "${HOST_EXE_FORMAT}.*(executable|shared object)" \
| cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null \
+ | xargs ${HOST_STRIP} 2> /dev/null \
|| true
fi
diff --git a/ocaml/ocaml-archive/ocaml-archive.SlackBuild b/ocaml/ocaml-archive/ocaml-archive.SlackBuild
index 9c7d0b7ddf..00ca9efee9 100755
--- a/ocaml/ocaml-archive/ocaml-archive.SlackBuild
+++ b/ocaml/ocaml-archive/ocaml-archive.SlackBuild
@@ -78,7 +78,7 @@ if [ -z "${SLACKBUILDS_DONT_STRIP}" ]; then
-exec file {} + \
| grep -E "${HOST_EXE_FORMAT}.*(executable|shared object)" \
| cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null \
+ | xargs ${HOST_STRIP} 2> /dev/null \
|| true
fi
diff --git a/ocaml/ocaml-cryptokit/ocaml-cryptokit.SlackBuild b/ocaml/ocaml-cryptokit/ocaml-cryptokit.SlackBuild
index c81443e587..74dc485765 100755
--- a/ocaml/ocaml-cryptokit/ocaml-cryptokit.SlackBuild
+++ b/ocaml/ocaml-cryptokit/ocaml-cryptokit.SlackBuild
@@ -60,7 +60,7 @@ if [ -z "${SLACKBUILDS_DONT_STRIP}" ]; then
-exec file {} + \
| grep -E "${HOST_EXE_FORMAT}.*(executable|shared object)" \
| cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null \
+ | xargs ${HOST_STRIP} 2> /dev/null \
|| true
fi
diff --git a/ocaml/ocaml-efl/ocaml-efl.SlackBuild b/ocaml/ocaml-efl/ocaml-efl.SlackBuild
index 1ac207ac36..352563dbbd 100755
--- a/ocaml/ocaml-efl/ocaml-efl.SlackBuild
+++ b/ocaml/ocaml-efl/ocaml-efl.SlackBuild
@@ -60,7 +60,7 @@ if [ -z "${SLACKBUILDS_DONT_STRIP}" ]; then
-exec file {} + \
| grep -E "${HOST_EXE_FORMAT}.*(executable|shared object)" \
| cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null \
+ | xargs ${HOST_STRIP} 2> /dev/null \
|| true
fi
diff --git a/ocaml/ocaml-fileutils/ocaml-fileutils.SlackBuild b/ocaml/ocaml-fileutils/ocaml-fileutils.SlackBuild
index a9111acc3b..d6a67f733b 100755
--- a/ocaml/ocaml-fileutils/ocaml-fileutils.SlackBuild
+++ b/ocaml/ocaml-fileutils/ocaml-fileutils.SlackBuild
@@ -61,7 +61,7 @@ if [ -z "${SLACKBUILDS_DONT_STRIP}" ]; then
-exec file {} + \
| grep -E "${HOST_EXE_FORMAT}.*(executable|shared object)" \
| cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null \
+ | xargs ${HOST_STRIP} 2> /dev/null \
|| true
fi
diff --git a/ocaml/ocaml-findlib/ocaml-findlib.SlackBuild b/ocaml/ocaml-findlib/ocaml-findlib.SlackBuild
index dfcca24dd3..812db02555 100755
--- a/ocaml/ocaml-findlib/ocaml-findlib.SlackBuild
+++ b/ocaml/ocaml-findlib/ocaml-findlib.SlackBuild
@@ -88,7 +88,7 @@ fi
find $PKG | xargs file | egrep -e "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null || true
+ | xargs ${HOST_STRIP} 2> /dev/null || true
find $PKG/${PREFIX}/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/${PREFIX}/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
diff --git a/ocaml/ocaml/ocaml.SlackBuild b/ocaml/ocaml/ocaml.SlackBuild
index 7cad4bc177..7bf52f6100 100644
--- a/ocaml/ocaml/ocaml.SlackBuild
+++ b/ocaml/ocaml/ocaml.SlackBuild
@@ -82,7 +82,7 @@ make install \
find $PKG | xargs file | egrep "executable|shared object" \
| grep ${HOST_EXE_FORMAT} | cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null || true
+ | xargs ${HOST_STRIP} 2> /dev/null || true
find $PKG/${PREFIX}/man -type f -exec gzip -9 {} \;
diff --git a/ocaml/yypkg/yypkg.SlackBuild b/ocaml/yypkg/yypkg.SlackBuild
index 974ebfcd69..5fc4aba3a9 100755
--- a/ocaml/yypkg/yypkg.SlackBuild
+++ b/ocaml/yypkg/yypkg.SlackBuild
@@ -61,7 +61,7 @@ if [ -z "${SLACKBUILDS_DONT_STRIP}" ]; then
-exec file {} + \
| grep -E "${HOST_EXE_FORMAT}.*(executable|shared object)" \
| cut -f 1 -d : \
- | xargs ${HOST_STRIP} --strip-unneeded 2> /dev/null \
+ | xargs ${HOST_STRIP} 2> /dev/null \
|| true
fi